org.bouncycastle.mail.smime

## Class SMIMECompressed

- java.lang.Object
- - org.bouncycastle.cms.CMSCompressedData
  - - org.bouncycastle.mail.smime.SMIMECompressed

    public class SMIMECompressed
    extends CMSCompressedData

containing class for an S/MIME pkcs7-mime MimePart.

### Constructor Summary

Constructors
Constructor and Description
`SMIMECompressed(MimeBodyPart message)`
`SMIMECompressed(MimeMessage message)`

### Method Summary

Methods
`MimePart` `getCompressedContent()`

### Methods inherited from class org.bouncycastle.cms.CMSCompressedData

`getContent, getContent, getContentInfo, getEncoded`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SMIMECompressed

    public SMIMECompressed(MimeBodyPart message)
                    throws MessagingException,
                           CMSException

Throws:
  `MessagingException`
  `CMSException`

#### SMIMECompressed

    public SMIMECompressed(MimeMessage message)
                    throws MessagingException,
                           CMSException

Throws:
  `MessagingException`
  `CMSException`

### Method Detail

#### getCompressedContent

    public MimePart getCompressedContent()